/* varargs that work with both K&R C and ANSI C */


#ifdef __STDC__
#  include <stdarg.h>
#  define VA_DCL(type,var)              (type var,...)
#  define VA_START(list,var,type)       ((va_start(list,var)) , (var))
#else
#  include <varargs.h>
#  define VA_DCL(type,var)               (va_alist) va_dcl
#  define VA_START(list,var,type)        ((va_start(list)), va_arg(list,type))
#endif


/* An example

foo VA_DCL(int, n)            
{
  va_list args;
  int i;

  i = VA_START(args,n,int);
  printf("the first arg is %d\n", i);
  i = va_arg(args,int);
  printf("the second arg is %d\n", i);

  va_end(args);
}
*/

